
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java基础：如何使用Static的变量和方法 / iVAN</title>

    <meta name="description" content="Java基础：如何使用Static的变量和方法 有时你希望定义一个类成员,使它的使用完全独立于该类的任何对象.通常情况下,类成员必须通过它的类的对象访问,但是可以创建这样一个成员,它能够被它自己使用,而不必引用特定的实例.在成员的声明前面加上关键字static(静态的)就能创建这样的成员.如果一个成员被声明为static,它就能够在它的类的任何对象创建之前被访问,而不必引用任何对象.你可以将方法和变量都声明为static.static 成员的最常见的例子是main( ) .因为在程序开始执行时必须调用main() ,所以它被声明为static">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java基础：如何使用Static的变量和方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>有时你希望定义一个类成员，使它的使用完全独立于该类的任何对象。通常情况下，类成员必须通过它的类的对象访问，但是可以创建这样一个成员，它能够被它自己使用，而不必引用特定的实例。在成员的声明前面加上关键字static(静态的)就能创建这样的成员。如果一个成员被声明为static，它就能够在它的类的任何对象创建之前被访问，而不必引用任何对象。你可以将方法和变量都声明为static。static 成员的最常见的例子是main( ) 。因为在程序开始执行时必须调用main() ，所以它被声明为static。</p>
<p>声明为static的变量实质上就是全局变量。当声明一个对象时，并不产生static变量的拷贝，而是该类所有的实例变量共用同一个static变量。声明为static的方法有以下几条限制：</p>
<p>1.它们仅能调用其他的static 方法。</p>
<p>2.它们只能访问static数据。</p>
<p>它们不能以任何方式引用this 或super（关键字super 与继承有关）。</p>
<p>如果你需要通过计算来初始化你的static变量，你可以声明一个static块，Static 块仅在该类被加载时执行一次。下面的例子显示的类有一个static方法，一些static变量，以及一个static 初始化块：</p>
<p><code>// Demonstrate static variables，methods，and blocks.<br />
class UseStatic {<br />
static int a = 3;<br />
static int b;<br />
static void meth(int x) {<br />
System.out.println("x = " + x);<br />
System.out.println("a = " + a);<br />
System.out.println("b = " + b);<br />
}<br />
static {<br />
System.out.println("Static block initialized.");<br />
b = a * 4;<br />
}<br />
public static void main(String args[]) {<br />
meth(42);<br />
}<br />
}</code></p>
<p>一旦UseStatic 类被装载，所有的static语句被运行。首先，a被设置为3，接着static 块执行(打印一条消息)，最后，b被初始化为a*4 或12。然后调用main()，main() 调用meth() ，把值42传递给x。3个println ( ) 语句引用两个static变量a和b，以及局部变量x 。</p>
<p>注意：在一个static 方法中引用任何实例变量都是非法的。</p>
<p>下面是该程序的输出：</p>
<p>Static block initialized.</p>
<p>x = 42</p>
<p>a = 3</p>
<p>b = 12</p>
<p>在定义它们的类的外面，static 方法和变量能独立于任何对象而被使用。这样，你只要在类的名字后面加点号运算符即可。例如，如果你希望从类外面调用一个static方法，你可以使用下面通用的格式：</p>
<p>classname.method( )</p>
<p>这里，classname 是类的名字，在该类中定义static方法。可以看到，这种格式与通过对象引用变量调用非static方法的格式类似。一个static变量可以以同样的格式来访问——类名加点号运算符。这就是Java 如何实现全局功能和全局变量的一个控制版本。</p>
<p>下面是一个例子。在main() 中，static方法callme() 和static 变量b在它们的类之外被访问。</p>
<p><code>class StaticDemo {<br />
static int a = 42;<br />
static int b = 99;<br />
static void callme() {<br />
System.out.println("a = " + a);<br />
}<br />
}<br />
class StaticByName {<br />
public static void main(String args[]) {<br />
StaticDemo.callme();<br />
System.out.println("b = " + StaticDemo.b);<br />
}<br />
}</code></p>
<p>下面是该程序的输出：</p>
<p>a = 42</p>
<p>b = 99</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 03:59:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/static-%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f/" title="static 成员变量">static 成员变量</a>, <a href="https://www.iamivan.net/tag/%e6%88%90%e5%91%98/" title="成员">成员</a>, <a href="https://www.iamivan.net/tag/static%e5%8f%98%e9%87%8f/" title="static变量">static变量</a>, <a href="https://www.iamivan.net/tag/%e5%85%a8%e5%b1%80%e5%8f%98%e9%87%8fjava/" title="全局变量java">全局变量java</a>, <a href="https://www.iamivan.net/tag/static%e6%96%b9%e6%b3%95/" title="static方法">static方法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java基础：如何使用Static的变量和方法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKx46p.html" rel="bookmark">JAVA基础培训&lpar;4&rpar; 熟悉属性&sol;变量的访问权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				和前一个教程一样,我们也建了一个子目录,用来存放不同package的类 属性分为2种, 1 类实例的属性,属于某个类的实例所有,必须通过实例访问 2 类级的静态属性,属于类和所有实例所有,可通过类或者实例都可以访问 属性的权限分为 1 private 私有属性 2 [default] 默认属性,也就是啥都不写的那种,运行同一个package的访问 3 protected 被保护的属性,允许同一个package的访问,以及子类访问 4 public 公开的属性,可以被任何类访问 先看主类 less			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Dal8b.html" rel="bookmark">java当中一个类必须包含变量，方法，对象吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java当中一个类必须包含变量,方法,对象吗 可不可以单单有方法 单单有变量 java当中一个类必须包含变量,方法,对象吗 单单有对象 解决方案 不是的.一般的java类是有属性和方法的,比如实体类,有该实体的属性,和对应的get/set方法.有些业务类只有方法.根据需要只有组合. 解决方案二: java 对象使用类变量与方法(小笔记)java 当中变量存储位置的区别java中一个类想调用另一个类的变量 解决方案三: 没有这些说法,可以任意组合 解决方案四: 一个类里面什么都没有都可以			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPw3lb.html" rel="bookmark">Java基础之关键字static的详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.静态变量 被static关键字修饰的成员变量叫做静态变量,前面我们讲到成员变量与局部变量的区别,那么静态变量与成员变量又有哪些不同呢? 1.调用方式 静态变量:类变量,可以直接通过类名调用,也可以通过对象名调用,这个变量属于类 成员变量:实例变量,只能通过对象名调用,这个变量属于对象 2.存储位置 静态变量:存储在方法区中的静态区 成员变量:存储在堆内存 3.生命周期 静态变量:随着类的加载而存在,随着类的消失而消失 成员变量:随着对象的创建而存在,随着对象的消失而消失 4.与对象的相关性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1OgkM.html" rel="bookmark">Java中static静态变量的初始化完全解析&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				静态变量初始化顺序 1.简单规则 首先先看一段最普遍的JAVA代码: public class Test { public static Test1 t = new Test1(); public static int a = 0; public static int b; public static void main(String[] arg) { System.out.println(Test.a); System.out.println(Test.b); } } class Test1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1loVdb.html" rel="bookmark">零基础轻松入门&mdash;&mdash;JAVA基础学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你准备好学习java了吗?了解一下开发java的基本过程以及java的基本特性.与C++做些简单的比较,熟悉两种语言的共性和区别,关于一些java知识体系. Java 的主要特性: 1. Java语言的语法与C语言和C++语言很接近,使得大多数程序员很容易学习和使用.另一方面,Java丢弃了C++中很少使用的.很难理解的.令人迷惑的那些特性,如操作符重载.多继承.自动的强制类型转换.特别地,Java语言不使用指针,而是引用.并提供了自动的废料收集,使得程序员不必为内存管理而担忧. 2.Java是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M16kwop.html" rel="bookmark">java基础之：详解内部类（转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可以将一个类的定义放在另一个类的定义内部,这就是内部类.        内部类是一个非常有用的特性但又比较难理解使用的特性(鄙人到现在都没有怎么使用过内部类,对内部类也只是略知一二).        第一次见面        内部类我们从外面看是非常容易理解的,无非就是在一个类的内部在定义一个类.   [java] view plain copy print? public class OuterClass {       private String name ;       private 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyedEvM.html" rel="bookmark">Java基础知识回顾，看看你们忘了多少</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Java中成员变量又分为实例成员变量 和类成员变量. 2.写类的目的是为了描述一类事物共有的属性 和功能.3.成员变量和局部变量的类型可以是Java中的任何一种数据类型 .4.用修饰符 static 说明的成员变量是类变量.5.变量的名字与成员变量的名字相同,则成员变量被隐藏 ,该成员变量在这个方法内暂时失效.6.用修饰符static说明的成员变量是类变量 .7.如果局部变量的名字与成员变量的名字相同,成员变量 将被隐藏.8.方法定义包括两部分:方法声明 和方法体.9.在Java中,当一个方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWvY6p.html" rel="bookmark">JAVA学习（三）：Java基础语法（变量、常量、数据类型、运算符与数据类型转换）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java基础语法(变量.常量.数据类型.运算符与数据类型转换) 1.变量 Java中,用户可以通过指定数据类型和标识符来声明变量,其基本语法为: DataType identifier;  或  DataType identifier = value; 其中,DataType是变量类型,如int/string/char/double/boolean等:identifier是变量名称,即标识符:value就是声明变量的值. 注: a.标识符由数字0-9.大小写字母.下划线.美元符号.人民币符号以及			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4N308M.html" rel="bookmark">java序列化不能序列化static变量吗？为什么？能不能举个例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java序列化不能序列化static变量吗?为什么?能不能举个例子 java序列化不能序列化static变量吗?为什么?能不能举个例子 解决方案 你是怎么&quot;序列化&quot;的?如果你自己反射,并且将静态属性的变量存下来,再恢复,这个当然会改变的.但是直接对对象实例序列化是不包括静态成员的. 解决方案二: static成员不属于对象实例,没办法序列化.因为没办法,就不举例了. 解决方案三: 支持2楼解释..............			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0YRnp.html" rel="bookmark" class="title">mac下修改mysql默认字符集为utf8</a>
					<div>
						1.首先检查默认安装的字符集 [html] view plain copy  print? mysql&gt; show variables like '%char%';   +----------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEgLop.html" rel="bookmark" class="title">MySQL 5&period;5&period;3 版本发布</a>
					<div>
						MySQL 5.5 的第三个里程碑版发布了,该版本一个最大的改动就是增加了性能的元数据信息库,数据库名为 performance_schema ,采用的存储引擎是 PERFORMANCE_SCHEMA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAl0Xb.html" rel="bookmark" class="title">Photoshop快速制作宝宝大头贴</a>
					<div>
						想不想为自己的宝宝亲手制作一幅个性又漂亮的大头贴呢?这样既省钱又可锻炼自己DIY的能力,何乐而不为?制作完后,如果有彩色喷墨打印机,可以立刻打印出来,如果没有,可以送到数码冲印店冲印,无论哪种方法都很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZYWop.html" rel="bookmark" class="title">SQL Server 2005 RTM 安装错误</a>
					<div>
						server|错误 昨天在安装SQL 2005 RTM的时候碰到了这样一个错误: TITLE: Microsoft SQL Server 2005 Setup--------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlEknp.html" rel="bookmark" class="title">ASP打印页面的一些经验</a>
					<div>
						打印|页面 大家经常遇到再ie中打印表格时需要隐藏一些不需要打印的对象,比如说按钮,输入框,或者希望莫个表格显示的时候表格线是由颜色的,而打印的时候只需要有粗细之分,其实在css中可以设定在打印或者显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrnXlp.html" rel="bookmark" class="title">Java多线程程序设计基础</a>
					<div>
						在Java语言产生前,传统的程序设计语言的程序同一时刻只能单任务操作,效率非常低,例如程序往往在接收数据输入时发生阻塞,只有等到程序获得数据后才能继续运行. 随着Internet的迅猛发展,这种状况越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKxJ9p.html" rel="bookmark" class="title">Oracle sql loader使用例子</a>
					<div>
						一.SQLLoader将 Excel 数据导出到 Oracle 1.创建SQL*Loader输入数据所需要的文件,均保存到C:\,用记事本编辑: 控制文件:input.ctl,内容如下: load d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlNqnb.html" rel="bookmark" class="title">iphone中如何进行多线程编程</a>
					<div>
						  多线程在各种编程语言中都是难点,很多语言中实现起来很麻烦,objective-c虽然源于c,但其多线程编程却相当简单,可以与java相媲美.这篇文章主要从线程创建与启动.线程的同步与锁.线程的交互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKYJ1p.html" rel="bookmark" class="title">详解JavaScript中Date&period;UTC&lpar;&rpar;方法的使用</a>
					<div>
						 此方法需要一个日期,并返回自1970年1月1日按照通用时间午夜的毫秒数. 语法 1 Date.year,month,day,[hours,[minutes,[seconds,[ms]]]) 注:括号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zkg3b.html" rel="bookmark" class="title">简单参数让谷歌Chrome浏览器单进程运行</a>
					<div>
						  大多数人都会在怨恨Google Chrome的多线程吃内存吧?而且即使标签独立进程,稳定性也不见得高到哪里去,经常遇到要崩溃就一起崩溃的情况,下面小编就教大家一个浏览器单进程的方法:内存省多了,速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72Q9Rp.html" rel="bookmark" class="title">excel如何作横坐标值不同双折线图</a>
					<div>
						  Excel给我的作图提供了很大的方便,但是在我们做图的过程中,往往会遇到很多棘手的问题,比如有两组数据,希望将这两组数据做在一张折线图上,但是这两组数据横坐标X的值以及个数都不相同,很多人便不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1QAPb.html" rel="bookmark" class="title">怎样使用Win7的远程桌面控制？</a>
					<div>
						  Win7的远程桌面控制需要设置两台联网的电脑,具体方法如下: 在被连接上的电脑设置: 第一,在计算机图标右击,选择属性,在打开的&quot;系统&quot;窗口点击&quot;远程设置&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oqNBb.html" rel="bookmark" class="title">win7电脑中的天气小工具无法使用怎么办？</a>
					<div>
						  其实这个功能是win7系统中自带的,但是咱们平常默认的都是将这个功能关闭掉的,通过设置可以将其打开,这便是桌面小工具了.工具中包含的内容很多,比如说时钟.天气.日历等等,经常关注天气的朋友其实可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWadQb.html" rel="bookmark" class="title">Win7未通过正版验证出现&OpenCurlyDoubleQuote;黑屏&rdquo;怎么办</a>
					<div>
						  由此提问:遇到这种情况究竟应当如何进行应对和处理?为此,于昨天进行了三次&quot;无效密钥&quot;的验证实验.现提供无需重装系统即可重归激活和正版状态的简便.可靠预案如下-- 未通过微软正版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR7WQp.html" rel="bookmark" class="title">FileGee让文件备份得心应手</a>
					<div>
						  在很多公司都发生过因电脑故障.硬盘损坏等而导致重要文件丢失的事情,丢失的文件找不回来,轻者加班补资料,重则饭碗不保,为了规避类似的事情发生,企业应该特别重视文件资料的保管,做好企业资料的备份.通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR3rxp.html" rel="bookmark" class="title">DiskMaker X制作Yosemite安装U盘教程</a>
					<div>
						  第一步:下载DiskMaker X 第二步:双击启动 DiskMaker X ,第一个界面,软件会询问需要制作哪款系统的安装 U 盘,目前支持10.8.10.9和10.10,选择 Yosemite ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJy2vp.html" rel="bookmark" class="title">网络编程-如何写一个监测wif的程序</a>
					<div>
						问题描述 如何写一个监测wif的程序 我想写一个在Windows上运行监测当前WiFi强度,IP地址等信息的程序,不知道从何处开始,希望大家指导一下 解决方案 参考这个程序:http://www.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG3e1p.html" rel="bookmark" class="title">总觉得网速慢？你可能摊上事了</a>
					<div>
						我们说,导致家中网速过慢的成因其实有很多,路由器质量是否过硬?路由功能是否设置妥当?网线尤其是那些标注铜线的,是否真的货真价实,剩下的还有挑选可靠的宽带服务商等等.可以说,处处是学问,它们当中每一个环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY7kZp.html" rel="bookmark" class="title">c语言课程设计-c语言输入数据，输出结果不换行问题</a>
					<div>
						问题描述 c语言输入数据,输出结果不换行问题 scanf输入,回车后结果显示在下一行中了.用什么可以将输入和输出结果显示在同一行呢? 解决方案 #include &lt;conio.h&gt; get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY52jp.html" rel="bookmark" class="title">服务器-通过转发方式实现局域网访问互联网</a>
					<div>
						问题描述 通过转发方式实现局域网访问互联网 场景: 我在内网发布了一个WebService应用,该应用需要调访问一个外网服务器,我在内网直接访问时报错:java.net.UnknownHostExce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5099M.html" rel="bookmark" class="title">rsyntaxtextarea二次开发&lpar;待续&rpar;</a>
					<div>
						对rsyntaxtextarea 的改造 (1)增加右键菜单 rsyntaxtextarea  已经有右键菜单,如下: 我计划增加如下菜单:    修改的类:org/fife/ui/rtextarea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYDBBp.html" rel="bookmark" class="title">抵御云迁移风险 十大安全技巧汇总</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 现在,有很多公司开始考虑将现有应用程序.数据和基础架构迁移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeEgjb.html" rel="bookmark" class="title">Mule的消息路由</a>
					<div>
						当谈论整合应用时,消息路由备受关注.当我们确定了各个应用,并选择Mule作为整合平台,也知道在Mule的服务中可以使用哪些Java类和web services处理消息,那么为了让消息正确地在服务间流转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Lrdz.html" rel="bookmark" class="title">java可以做验证码识别字库吗？</a>
					<div>
						问题描述 java可以做验证码识别字库吗? java可以做验证码识别字库吗?别的语言貌似都有自己的识别,java里面只有ocr,有自己的 识别字库吗,谁知道? 解决方案 你可以用jni或者web se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAP6ZM.html" rel="bookmark" class="title">匿名社交软件秘密：充斥大量涉及隐私和人身攻击内容</a>
					<div>
						法制晚报讯(记者 王伶玲) &quot;传说人心中有秘密的时候,就会跑到山上找一棵树,在树上挖一个洞,把秘密全说进去, 然后再用泥巴把洞封上,秘密就会永远留在那棵树里,没有人会知道.&quot;以前人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKQo6b.html" rel="bookmark" class="title">阿里云肖力：时间会把一切还给我们</a>
					<div>
						客户的东西永远属于他自己,没有第二种可能. 瑞士银行用三百年的时间,让这个商业信条飘散到遥远东方的中国,人尽皆知.苏黎世班霍夫大街两侧的花岗岩厚墙,被世人视作恪守商业信条的明证. 我们要说的,正与此有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJGYkp.html" rel="bookmark" class="title">Mysql两种情况下更新字段中部分数据的方法&lowbar;Mysql</a>
					<div>
						Mysql更新字段中部分数据第一种情况:  复制代码 代码如下: update tab set A = concat(substring(A,1,3),'bbb'); 从A的1个字符开始取3个字符,加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmjJDp.html" rel="bookmark" class="title">安卓手机安装软件一直显示正在安装怎么解决</a>
					<div>
						其实出现这种问题是我们有旧版本所导致了我们只要删除旧版本数据之后再重新安装就可以解决了.   当你发现无论安装什么软件都提示安装超时的时候,一定要第一时间打开Root Explorer,进入data/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYnOJb.html" rel="bookmark" class="title">Ruby、PHP、Shell实现求50以内的素数&lowbar;ruby专题</a>
					<div>
						ruby求50之内的素数的方法,感觉对比PHP和SHELL方法是最简单的,但SHELL中可以利用factor命令,而PHP中没有求素数的对应函数的,需要自己设计算法,三种方式大家对比学习下,应该还有更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv30mM.html" rel="bookmark" class="title">PHP操作文件的一些基本函数使用示例&lowbar;php技巧</a>
					<div>
						在对文件进行操作时,不仅可以对文件中的数据进行操作,还可以对文件本身进行操作.例如复制文件.删除文件.截取文件及为文件重命名等操作.在PHP中已经提供了这些文件处理方式的标准函数,使用也非常容易,如下 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
